Creates a new unavailability

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "37ec8a04-a3bf-423b-8688-83c8ff544a87",
  "date_start": "2026-10-16T22:06:47.4257691+00:00",
  "date_end": "2026-10-16T22:06:47.4257691+00:00",
  "modified_dateutc": "2026-10-16T22:06:47.4257691+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "9ccf6d90-52a3-447b-83fe-a2cdbd184c81",
  "user_code": "sample string 8",
  "user": {
    "id": "39aaaa38-b26e-4123-bdb8-3d4a731dff77",
    "db_language_id": "6cbe1d34-bb7e-4a5d-8570-d6b7383a28c7",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-16T22:06:47.4449418+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "ad4ff68e-13f9-4227-a192-872fe27d0c6b",
    "sales_organization": {
      "id": "4494f5ec-546e-4ba7-a4a6-34c2fc0ca960",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5b48ae58-fc64-47fc-976c-8a41dab83f0c",
      "db_currency_id": "d3c2f192-06fe-4c19-b6d7-4f76fd6562d3",
      "db_language_id": "b7f0779c-7535-47d1-9603-a24f9badd940",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-16T22:06:47.4449418+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "28ee21d2-160e-4eca-8a4f-a3d177402dda",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "5f5dd714-de23-42c9-abf2-4867d872b7f6",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-16T22:06:47.4449418+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "8eddf70b-9e10-4897-90fe-da0e89c03f30"
  },
  "user_unavailability_type_id": "68900546-883c-4c72-bb11-fce682310877",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "da08dacc-0795-4224-a5f9-8ad03ec007ee",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "c3db7699-ca6f-4eff-a22f-b45c6f772bce",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "4494f5ec-546e-4ba7-a4a6-34c2fc0ca960",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5b48ae58-fc64-47fc-976c-8a41dab83f0c",
      "db_currency_id": "d3c2f192-06fe-4c19-b6d7-4f76fd6562d3",
      "db_language_id": "b7f0779c-7535-47d1-9603-a24f9badd940",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-16T22:06:47.4449418+00:00"
    },
    "modified_dateutc": "2026-10-16T22:06:47.4449418+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.